
/*
 * (c) Denis Smirnov <ds@seiros.ru>, 2005
 */
#include <getopt.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <fcntl.h>

int main (int argc, char *argv[])
{
    int     fd;
    int     quite = 0;

    while (1) {
	int     c = getopt (argc, argv, "q");

	if (c == -1)
	    break;

	switch (c) {
		case 'q':
		    quite = 1;
		    break;
	}
    }
    getopt (argc, argv, "q");

    fd = open ("/dev/zap/pseudo", O_RDWR);
    if (fd < 0) {
	if (!quite)
	    fprintf (stderr, "Unable to open zap interface: %s\n",
		     strerror (errno));
	return 1;
    } else {
	if (!quite)
	    printf ("Zap interface opened\n");
	close (fd);
    }
    return 0;
}
